=== debian/control ===
Source: ccontrol
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.15.7),
  asciidoc, xmlto, gperf
Standards-Version: 4.0.0
Homepage: http://ccontrol.ozlabs.org/
#Vcs-Git: git://tedp.id.au/git/ccontrol-debian.git
#Vcs-Browser: http://tedp.id.au/gitweb/?p=ccontrol-debian.git

Package: ccontrol
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 gcc, make, binutils, ccache
Recommends: python, python-gtk2, python-eggtrayicon
Suggests: distcc
Description: Compilation controller
 The ccontrol program takes over the roles of the compiler, linker and
 make, and reads a configuration file to decide what to do before
 invoking them. This is particularly useful for centralized control over
 commands and options, such as enabling distcc and ccache. It is also
 great for controlling parallelism and which compiler versions to use,
 based on the directory and make targets.
