=== debian/watch ===
# You can run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

# Compulsory
version=3

http://ccontrol.ozlabs.org/releases/ccontrol-(.*)\.tar\.bz2
